// Author: A.Voss@FH-Aachen.de
//
// shows some math function
// tags: sin,cos,tan,sinh,asin,log,log10,exp,fabs,floor,ceil

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "../../include/tools.h"

// note that we need a math lib "m" being a link command "-lm" 
// gcc -ansi -pedantic -Wall -Wextra -Wconversion -std=c99 $< -lm -o $@

int main()
{
    tools_log(); printf("some math functions \n");
    
    double d = 0.567;

    // examples - see math.h for more
    
    tools_log(); printf("    sin(%6.3f) = %6.3f \n", d, sin(d) );
    tools_log(); printf("   asin(%6.3f) = %6.3f \n", d, asin(d) );
    tools_log(); printf("   sinh(%6.3f) = %6.3f \n\n", d, sinh(d) );

    tools_log(); printf("   fabs(%6.3f) = %6.3f \n", d, fabs(d) );
    tools_log(); printf("   ceil(%6.3f) = %6.3f \n", d, ceil(d) );
    tools_log(); printf("  floor(%6.3f) = %6.3f \n\n", d, floor(d) );
    
    tools_log(); printf("    exp(%6.3f) = %6.3f \n", d, exp(d) );
    tools_log(); printf("    log(%6.3f) = %6.3f \n", d, log(d) );
    tools_log(); printf("  log10(%6.3f) = %6.3f \n", d, log10(d) );

    return EXIT_SUCCESS;
}

