// Author: A.Voss@FH-Aachen.de
//
// shows how to start a program with parameters and query environment vars
// tags: main args, getenv

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include "../../include/tools.h"

int main(int argc, char* argv[]) // same as char** argv
{   
    tools_log(); printf("start main with parameters \n");

    tools_log(); printf("  number of args: %d \n",argc);
    // by convention: 0 is the command, and argv[argc] is NULL
    for (int i=0; i<=argc; ++i)
    {
        tools_log(); printf("    arg %d: '%s'\n",i,argv[i]);
    }
    printf("\n");

    // use Getopt or Argp for more parameter parsing

    tools_log(); printf("environment (try: export A='text')\n");
    
    char *pcA = getenv("A");
    tools_log(); printf("  A = '%s'\n",pcA);

    return EXIT_SUCCESS;
}
